Skip to main content
POST
/
api
/
halls
/
{hall_id}
/
seats
/
delete
Mass removal of seats from the hall
curl --request POST \
  --url https://tandem.hlofiys.xyz/api/halls/{hall_id}/seats/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "seat_ids": [
    101,
    102,
    105
  ]
}
'
import requests

url = "https://tandem.hlofiys.xyz/api/halls/{hall_id}/seats/delete"

payload = { "seat_ids": [101, 102, 105] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seat_ids: [101, 102, 105]})
};

fetch('https://tandem.hlofiys.xyz/api/halls/{hall_id}/seats/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Validation failed",
  "errors": {
    "name": "The name field is required.",
    "price": "The price must be a valid number.",
    "hall_id": "A valid hall_id is required."
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hall_id
integer<int64>
required

Body

application/json

Schema for deleting a specific list of seats by their IDs.

seat_ids
integer<int64>[]
required

An array of unique identifiers for the seats to be deleted.

Example:
[101, 102, 105]

Response

Seats successfully removed